org.eclipse.actf.model.dom.html.errorhandler

## Class UnknownElementErrorHandler

- java.lang.Object
- - org.eclipse.actf.model.dom.html.errorhandler.UnknownElementErrorHandler

All Implemented Interfaces:
  IErrorHandler, IParserError

Direct Known Subclasses:
  FramesetErrorHandler

    public class UnknownElementErrorHandler
    extends Object
    implements IErrorHandler

If a parser using a DTD which does not define some element. this error handler make the parser use specified dtd which defines it.

### Field Summary

### Fields inherited from interface org.eclipse.actf.model.dom.html.IParserError

`ATTR_VALUE, BEFORE_ATTRNAME, BOM, DOCTYPE_MISSED, FLOATING_ENDTAG, ILLEGAL_ATTRIBUTE, ILLEGAL_CHILD, ILLEGAL_DOCTYPE, ILLEGAL_TOP_ELEMENT, MISC_ERR, STARTTAG_SYNTAX_ERR, SUDDEN_ENDTAG, TAG_NAME, UNKNOWN_ELEMENT`

### Constructor Summary

Constructors
Constructor and Description
`UnknownElementErrorHandler(String[] unknownElements, String publicID)`
`UnknownElementErrorHandler(String unknownElement, String publicID)`

### Method Summary

Methods
`boolean` `handleError(int code, IParser parser, Node errorNode)` Handles error whose type is specified by `code`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnknownElementErrorHandler

    public UnknownElementErrorHandler(String unknownElement,
                              String publicID)

Parameters:
  `unknownElement` - Node name of target unknown element
  `publicID` - public ID which defines `unknownElement`

#### UnknownElementErrorHandler

    public UnknownElementErrorHandler(String[] unknownElements,
                              String publicID)

Parameters:
  `unknownElements` - array of Node names of target unknown elements
  `publicID` - public ID which defines `unknownElement`

### Method Detail

#### handleError

    public boolean handleError(int code,
                      IParser parser,
                      Node errorNode)
                        throws ParseException,
                               IOException

Description copied from interface: `IErrorHandler`
Handles error whose type is specified by `code`

Specified by:
  `handleError` in interface `IErrorHandler`
Parameters:
  `code` - error type.
  `parser` - caller of this handler. This parser's state is easily changed by the referenced methods.
  `errorNode` - a node that causes the error.
Returns:
  `true` if error was handled. Otherwise `false` .
Throws:
  `ParseException`
  `IOException`
See Also:
  `IParser.getNode()`, `IParser.pushBackNode(org.w3c.dom.Node)`, `IParser.getExtraErrInfo()`, `IParser.getContext()`, `IParser.setContext(org.w3c.dom.Element)`